<template>
  <v-row>
    <v-col>
      <v-text-field
        v-model="category"
        prepend-inner-icon="mdi-magnify"
        label="Категория"
      ></v-text-field>
    </v-col>
    <v-col></v-col>
    <v-col></v-col>
  </v-row>
</template>

<script>
import { createNamespacedHelpers } from 'vuex';

const { mapState, mapActions } = createNamespacedHelpers('catalog');

export default {
  name: "ProductsFilter",
  data () {
    return {
      filterLocal: {
        category: ''
      }
    }
  },
  computed: {
    ...mapState({
      filter: state => state.Product.filter,
    }),
    category: {
      get() {
        return this.filterLocal.category;
      },
      set(value) {
        this.filterLocal.category = value;
        this.updateFilter();
      }
    }
  },
  methods: {
    ...mapActions(["setProductsFilter", "loadProducts"]),
    updateFilter() {
      this.setProductsFilter({ ...this.filter, ...this.filterLocal });
      this.loadProducts();
    },
  }
}
</script>
